org.eclipse.jdt.ui.cleanup

## Interface ICleanUpFix

    public interface ICleanUpFix

A clean up fix calculates a `CompilationUnitChange` which can be applied on a document to fix one or more problems in a compilation unit.

Since:
  3.5

### Method Summary

All Methods Instance Methods Abstract Methods
`CompilationUnitChange` `createChange(IProgressMonitor progressMonitor)` Calculates and returns a `CompilationUnitChange` which can be applied on a document to fix one or more problems in a compilation unit.

### Method Detail

#### createChange

    CompilationUnitChange createChange(IProgressMonitor progressMonitor)
                                throws CoreException

Calculates and returns a `CompilationUnitChange` which can be applied on a document to fix one or more problems in a compilation unit.

Parameters:
  `progressMonitor` - the progress monitor or `null` if none
Returns:
  a compilation unit change change which should not be empty
Throws:
  `CoreException` - if something went wrong while calculating the change